#!/usr/bin/python

##
## copyright (c) 2013 Fabien LOISON <http://blog.flozz.fr/>
##
## this program is free software. it comes without any warranty, to
## the extent permitted by applicable law. you can redistribute it
## and/or modify it under the terms of the do what the fuck you want
## to public license, version 2, as published by sam hocevar. see
## http://sam.zoy.org/wtfpl/copying for more details. 
##


"""wr841nv8-rmboot.py - Remove the boot block from the origninal TP-Link firmware

USAGE:
    ./rmboot.py <firmware.bin>
"""


BOOT_BLOCK_SIZE = 0x20200


import os
import sys


if not (len(sys.argv) == 2 and os.path.isfile(sys.argv[1])):
    print(__doc__)
    sys.exit(1)

file_in = open(sys.argv[1], "rb")
file_out = open("%s.bootremoved" % sys.argv[1], "wb")
file_in.seek(BOOT_BLOCK_SIZE)
file_out.write(file_in.read())
file_in.close()
file_out.close()

